version: '3.9'
services:
    mmdvm:
        hostname: m17-pride
        image: 'mmdvm_cm'
        restart: unless-stopped
        ports:
            - published: 33012
              target: 33012
              protocol: udp
              mode: host
        volumes:
          - /config/pride/usrp2m17:/opt/USRP2M17
          - /var/log/pride:/var/log/usrp
          - /data/pride/mmdvm:/var/lib/mmdvm
        environment:
          - USRP2M17=1
        networks:
          stream_net:
            ipv4_address: 10.200.0.57

networks:
    stream_net:
        driver: bridge
        name:  stream_net
        ipam:
           driver: default
           config:
           - subnet: "10.200.0.0/24"
             gateway: "10.200.0.1"
